%define debug_package %{nil}

Summary:	This package contains the source code for making FMEM Modules

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
%define MainName fmem-kernel-modules
Name:		%{MainName}-common
Version:	1.6
%define	RELMAJ 1
%define RELMIN 6
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source0:	%{MainName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{MainName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

BuildArch:	noarch

%description
This package provides a script to install and use the kernel objects.
These modules are now packaged separately.
This package is intended to be shared across all OSes and architectures

%prep
%setup -n fmem-%{version}-%{RELMAJ}
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 755 install-fmem %{buildroot}/%{_bindir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog README TODO debug.h lkm.c Makefile run.sh
%attr(755, root, root)	%{_bindir}/install-fmem

%changelog
* Fri May  1 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.6
* Release 1.6-1.6
	Updated lkm.c to support kernels 5.6 and newer

* Fri Feb 28 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.5
* Release 1.6-1.5
	Updated lkm.c to current as of 2020-02-28.

* Tue Oct 22 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.4
* Release 1.6-1.4
	Updated lkm.c to current as of 2019-10-22.
	Also updated isntall-mem to reference the correct location of the kernel modules.

* Fri Sep  9 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-1.3
* Release 1.6-1.3
	Updated these files:
                lkm.c
        to compile with linux kernels 4.7.

* Mon Jul 18 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-1.2
* Release 1.6-1.2
	Updated these files:
                lkm.c
        to be in sync with the FMEM Forensics Source code repository.

* Mon Jun 2 2014 Lawrence R. Rogers <lrr@cert.org> 1.6-1.1
* Release 1.6-1.1
	This is the initial release of this package.
	It contains all of the OS and architecture-independent parts of FMEM.
